Skip to content

Backups

All operations require authentication.

5 operationsv1/overTheBox/{serviceName}
Agent setup

List the backups of an OverTheBox serviceProduction

GET
/1.0/overTheBox/{serviceName}/backups

List the backups of an OverTheBox service. Returns the IDs of the configuration backups of the device of the service.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/backups \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Back up an OverTheBox deviceProduction

POST
/1.0/overTheBox/{serviceName}/device/backup

Back up an OverTheBox device. Creates the device action that generates a configuration backup of the device, and returns that action.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Response

200DeviceActionsuccessful operation
actionId
read-only
string

The id of the action

createdAt
read-only
stringdate-time

Date of creation of the action

details
read-only
string

The details of the action

name
read-only
string

The name of the action

status
read-only
ActionStatusEnum

The status of the action

Valuesdoingdoneerrortodo
todoDate
read-only
stringdate-time

Date of execution of the action

updatedAt
read-only
stringdate-time

Last time the action was updated

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/backup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z"}

Restore a backup on an OverTheBox deviceProduction

POST
/1.0/overTheBox/{serviceName}/device/restoreBackup

Restore a backup on an OverTheBox device. Creates the group of device actions that restore the given backup on the device, and returns them.

Path parameters

serviceName
required
string

The internal name of your overTheBox offer

Request body (required)

backupId
required
string

The id of the backup to restore

Response

200DeviceAction[]successful operation
actionId
read-only
string

The id of the action

createdAt
read-only
stringdate-time

Date of creation of the action

details
read-only
string

The details of the action

name
read-only
string

The name of the action

status
read-only
ActionStatusEnum

The status of the action

Valuesdoingdoneerrortodo
todoDate
read-only
stringdate-time

Date of execution of the action

updatedAt
read-only
stringdate-time

Last time the action was updated

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/device/restoreBackup \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "actionId": "string", "createdAt": "2024-01-01T12:00:00Z", "details": "string", "name": "string", "status": "doing", "todoDate": "2024-01-01T12:00:00Z", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a backup of an OverTheBox serviceProduction

GET
/1.0/overTheBox/{serviceName}/backups/{backupId}

Get a backup of an OverTheBox service. Returns the creation date of a configuration backup and the ID of the device action that triggered it.

Path parameters

backupId
required
string

The id of the backup

serviceName
required
string

The internal name of your overTheBox offer

Response

200Backupsuccessful operation
backupId
read-only
string

The id of the backup

createdAt
read-only
stringdate-time

Date of the creation of the backup

deviceActionId
read-only
string

The id of the device action that triggered the backup

Example uses backupId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/backups/{backupId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "backupId": "string", "createdAt": "2024-01-01T12:00:00Z", "deviceActionId": "string"}

Delete a backup of an OverTheBox serviceProduction

DELETE
/1.0/overTheBox/{serviceName}/backups/{backupId}

Delete a backup of an OverTheBox service. Removes the configuration backup. It can no longer be restored on the device.

Path parameters

backupId
required
string

The id of the backup

serviceName
required
string

The internal name of your overTheBox offer

Response

200—successful operation

Example uses backupId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/overTheBox/{serviceName}/backups/{backupId} \
  -H "authorization: Bearer $OVH_TOKEN"